package com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean;

import java.util.List;

public class SourceBean {
   private String so_name;
   private String so_ownname;
   private String databasetype;
   private String businessname;
   private String dbdname;
   private String descripion;
   private String objectversion;
   private String versionnumber;
   private String sourceownername;
   private String linkname;
   private List<MappletMakeDatabean> mappletbean;
   private FlatFileBean filebean;
   private String fileparam;
   private String filename;
   private String filepath;
   private String dateformateparam;
   private String isftp;
   private String ftplink;
   private String filedirect;
   private String connectmode;
   private List<String> mainTable;
   private CommonBean cb;

   public List<String> getMainTable() {
      return this.mainTable;
   }

   public void setMainTable(List<String> mainTable) {
      this.mainTable = mainTable;
   }

   public String getFiledirect() {
      return this.filedirect;
   }

   public void setFiledirect(String filedirect) {
      this.filedirect = filedirect;
   }

   public String getIsftp() {
      return this.isftp;
   }

   public void setIsftp(String isftp) {
      this.isftp = isftp;
   }

   public String getFtplink() {
      return this.ftplink;
   }

   public void setFtplink(String ftplink) {
      this.ftplink = ftplink;
   }

   public String getFilename() {
      return this.filename;
   }

   public void setFilename(String filename) {
      this.filename = filename;
   }

   public String getFilepath() {
      return this.filepath;
   }

   public void setFilepath(String filepath) {
      this.filepath = filepath;
   }

   public String getDateformateparam() {
      return this.dateformateparam;
   }

   public void setDateformateparam(String dateformateparam) {
      this.dateformateparam = dateformateparam;
   }

   public String getFileparam() {
      return this.fileparam;
   }

   public void setFileparam(String fileparam) {
      this.fileparam = fileparam;
   }

   public FlatFileBean getFilebean() {
      return this.filebean;
   }

   public void setFilebean(FlatFileBean filebean) {
      this.filebean = filebean;
   }

   public String getLinkname() {
      return this.linkname;
   }

   public void setLinkname(String linkname) {
      this.linkname = linkname;
   }

   public List<MappletMakeDatabean> getMappletbean() {
      return this.mappletbean;
   }

   public void setMappletbean(List<MappletMakeDatabean> mappletbean) {
      this.mappletbean = mappletbean;
   }

   public String getSourceownername() {
      return this.sourceownername;
   }

   public void setSourceownername(String sourceownername) {
      this.sourceownername = sourceownername;
   }

   public String getSo_name() {
      return this.so_name;
   }

   public void setSo_name(String so_name) {
      this.so_name = so_name;
   }

   public String getSo_ownname() {
      return this.so_ownname;
   }

   public void setSo_ownname(String so_ownname) {
      this.so_ownname = so_ownname;
   }

   public String getDatabasetype() {
      return this.databasetype;
   }

   public void setDatabasetype(String databasetype) {
      this.databasetype = databasetype;
   }

   public String getBusinessname() {
      return this.businessname;
   }

   public void setBusinessname(String businessname) {
      this.businessname = businessname;
   }

   public String getDbdname() {
      return this.dbdname;
   }

   public void setDbdname(String dbdname) {
      this.dbdname = dbdname;
   }

   public String getDescripion() {
      return this.descripion;
   }

   public void setDescripion(String descripion) {
      this.descripion = descripion;
   }

   public String getObjectversion() {
      return this.objectversion;
   }

   public void setObjectversion(String objectversion) {
      this.objectversion = objectversion;
   }

   public String getVersionnumber() {
      return this.versionnumber;
   }

   public void setVersionnumber(String versionnumber) {
      this.versionnumber = versionnumber;
   }

   public CommonBean getCb() {
      return this.cb;
   }

   public void setCb(CommonBean cb) {
      this.cb = cb;
   }

   public String getConnectmode() {
      return this.connectmode;
   }

   public void setConnectmode(String connectmode) {
      this.connectmode = connectmode;
   }
}
